Package org.gradle.api.artifacts.result

# Interface ComponentArtifactsResult

All Superinterfaces:
  `ComponentResult`

public interface ComponentArtifactsResult extends ComponentResult
The result of successfully resolving a component with a set of artifacts.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<ArtifactResult>`
  `getArtifacts(Class<? extends Artifact> type)`
  Returns the artifacts of the specified type that belong to this component.

  ### Methods inherited from interface org.gradle.api.artifacts.result.ComponentResult

  `getId`

- ## Method Details

  - ### getArtifacts

    Set<ArtifactResult> getArtifacts(Class<? extends Artifact> type)

    Returns the artifacts of the specified type that belong to this component. Includes resolved and unresolved artifacts (if any).

    The elements of the returned collection are declared as `ArtifactResult`, however the artifact instances will also implement one of the following instances:

    - `ResolvedArtifactResult` for artifacts which were successfully resolved.
    - `UnresolvedArtifactResult` for artifacts which could not be resolved for some reason.
    Returns:
      the artifacts of this component with the specified type, or an empty set if no artifacts of the type exist.